Subject: Re: bug#73382: 31.0.50; Starting Emacs on latest macOS
From: Stefan Kangas <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Mar 2025 19:35:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Arash Esbati <[email-masked]> writes:

> Severity: minor
>
> Hi all,
>
> I compiled Emacs from master (cbaf7edbb4) on macOS15 (incl. xcode16) and
> when I open it from CLI, it starts but I also see:
>
> 2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKClient subclass]: chose IMKClient_Legacy
> 2024-09-20 14:24:58.583 emacs[23293:150402] +[IMKInputSession subclass]:chose IMKInputSession_Legacy
>
> This seems to be more an issue with macOS15 than Emacs since other
> applications are facing this as well[1].
>
> I'm reporting this here in case others start seeing this and report it
> as well.  This can be closed as "notabug" once the issue is fixed on
> macOS side.
>
> Best, Arash
>
> Footnotes:
> [1]  https://discussions.apple.com/thread/255761734?sortBy=rank

Thanks, I added a note about this in etc/PROBLEMS.

I'm therefore closing this bug report.